## incidenceeditor 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")

project(incidenceeditor VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h tests/*.cpp tests/*.h autotests/*.cpp autotests/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(ECMAddQch)
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(INCIDENCEEDITOR_LIB_VERSION ${PIM_VERSION})
set(AKONADI_MIMELIB_VERSION "6.3.3")
set(KDEPIM_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")
set(KLDAP_LIB_VERSION "6.3.3")
set(CALENDARUTILS_LIB_VERSION "6.3.3")
set(CALENDARSUPPORT_LIB_VERSION "6.3.3")
set(LIBKDEPIM_LIB_VERSION "6.3.3")
set(EVENTVIEW_LIB_VERSION "6.3.3")
set(AKONADI_VERSION "6.3.3")
set(AKONADICONTACT_LIB_VERSION "6.3.3")
set(AKONADICALENDAR_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")
set(PIMTEXTEDIT_LIB_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")

set(KDIAGRAM_LIB_VERSION "3.0.0")
find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${PIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX INCIDENCEEDITOR
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/incidenceeditor_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfigVersion.cmake"
                        SOVERSION 6
)

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-enterprise.h)

########### Targets ###########


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(BUILD_TESTING)
  add_definitions(-DBUILD_TESTING)
endif()
add_subdirectory(src)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6IncidenceEditor")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6IncidenceEditor_QCH
        FILE KPim6IncidenceEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6IncidenceEditorQchTargets.cmake\")")
endif()
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KPimIncidenceEditorConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KPim6IncidenceEditorConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KPim6IncidenceEditorTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6IncidenceEditorTargets.cmake NAMESPACE KPim6::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/src/incidenceeditor_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/IncidenceEditor/ COMPONENT Devel
)

if(BUILD_TESTING)
   find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)

   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/src)

set(grant_lib KGantt6)

macro(IE_UNIT_TESTS)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp ${_testname}.h)
    add_test(NAME ${_testname} COMMAND ${_testname})
    ecm_mark_as_test(${_testname})
    target_link_libraries(${_testname}
      Qt::Test
      KPim6::AkonadiCore
      ${grant_lib}
      KPim6::CalendarUtils
      KF6::CalendarCore
      KPim6::IncidenceEditor
      KPim6::Libkdepim
)
  endforeach()
endmacro()

macro(IE_EXECUTABLE_TESTS)
  foreach(_testname ${ARGN})
    add_executable(${_testname} NOGUI TEST ${_testname}.cpp ${_testname}.h)
    target_link_libraries(${_testname} KF6::CalendarCore Qt::Test KPim6::IncidenceEditor Qt::Widgets)
  endforeach()
endmacro()

ie_unit_tests(
  conflictresolvertest
  testfreebusyganttproxymodel
)

########### KTimeZoneComboBox unit test #############
add_executable(ktimezonecomboboxtest ktimezonecomboboxtest.cpp ktimezonecomboboxtest.h)
add_test(NAME ktimezonecomboboxtest COMMAND ktimezonecomboboxtest)
ecm_mark_as_test(ktimezonecomboboxtest)

target_link_libraries(ktimezonecomboboxtest
  KF6::CalendarCore
  Qt::Test
  KPim6::IncidenceEditor
  KF6::Completion
)

add_executable(testindividualmaildialog testindividualmaildialog.cpp)
ecm_mark_nongui_executable(testindividualmaildialog)
add_test(NAME testindividualmaildialog COMMAND testindividualmaildialog)
ecm_mark_as_test(testindividualmaildialog)
target_link_libraries(testindividualmaildialog
  KF6::CalendarCore
  Qt::Test
  Qt::Widgets
  KF6::WidgetsAddons
  KF6::I18n
  KPim6::IncidenceEditor
)

# The IncidenceCategories subeditor of the dialog starts Akonadi running, so
# set up an environment.
add_akonadi_isolated_test(
  SOURCE incidencedatetimetest.cpp
  LINK_LIBRARIES Qt::Test
  Qt::Widgets
  KPim6::AkonadiWidgets
  KF6::Completion
  KPim6::IncidenceEditor
  KPim6::PimTextEdit
  KPim6::Libkdepim
  KF6::WidgetsAddons
)

## incidenceeditor 24.08.2

=== debian/changelog ===
incidenceeditor (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:50 +0200

incidenceeditor (24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar is
    available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 13:00:36 +0200

incidenceeditor (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Sep 2024 15:13:21 +0200

libkf5incidenceeditor (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:35 +0100

libkf5incidenceeditor (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:38 +0100

libkf5incidenceeditor (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:29 +0200

libkf5incidenceeditor (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:28 +0200

libkf5incidenceeditor (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:48 +0200

libkf5incidenceeditor (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:59:09 +0200

libkf5incidenceeditor (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:04:02 +0200

libkf5incidenceeditor (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:48:16 +0200

libkf5incidenceeditor (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 20:03:23 +0200

libkf5incidenceeditor (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:11:26 +0200

libkf5incidenceeditor (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:34:40 +0100

libkf5incidenceeditor (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:25:48 +0900

libkf5incidenceeditor (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:35:58 +0900

libkf5incidenceeditor (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:40:14 +0900

libkf5incidenceeditor (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:14:46 +0900

libkf5incidenceeditor (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.
  * Update Debian ABI Manager patch.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:59 +0900

libkf5incidenceeditor (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:20 +0100

libkf5incidenceeditor (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:11 +0200

libkf5incidenceeditor (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.


=== debian/control ===
Source: incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.3.0~),
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicalendar-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.2~),
               libcalendarsupport-dev (>= 4:24.08.2~),
               libeventviews-dev (>= 4:24.08.2~),
               libkcalendarutils-dev (>= 4:24.08.2~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6codecs-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkgantt-dev (>= 3.0.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libkldap-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libkpimtextedit-dev (>= 24.08.2~),
               libpimcommon-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/incidenceeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git
Rules-Requires-Root: no

Package: libincidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libincidenceeditor-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadimime-dev (>= 4:24.08.2~),
         libcalendarsupport-dev (>= 4:24.08.2~),
         libeventviews-dev (>= 4:24.08.2~),
         libkcalendarutils-dev (>= 4:24.08.2~),
         libkf6calendarcore-dev (>= 6.3.0~),
         libkmime-dev (>= 24.08.2~),
         libkpim6incidenceeditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - development files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libincidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared library.

## incidenceeditor 24.12.0

=== debian/changelog ===
incidenceeditor (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:07 +0100

incidenceeditor (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:40:09 +0100

libkf5incidenceeditor (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:40 +0100

libkf5incidenceeditor (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:06 +0100

libkf5incidenceeditor (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:33 +0100

=== debian/control ===
Source: incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicalendar-dev (>= 4:24.12.0~),
               libakonadimime-dev (>= 4:24.12.0~),
               libcalendarsupport-dev (>= 4:24.12.0~),
               libeventviews-dev (>= 4:24.12.0~),
               libkcalendarutils-dev (>= 4:24.12.0~),
               libkdepim-dev (>= 4:24.12.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkgantt-dev (>= 3.0.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libkldap-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libkpimtextedit-dev (>= 24.12.0~),
               libpimcommon-dev (>= 4:24.12.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/incidenceeditor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git
Rules-Requires-Root: no

Package: libincidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libincidenceeditor-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadimime-dev (>= 4:24.12.0~),
         libcalendarsupport-dev (>= 4:24.12.0~),
         libeventviews-dev (>= 4:24.12.0~),
         libkcalendarutils-dev (>= 4:24.12.0~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkmime-dev (>= 24.12.0~),
         libkpim6incidenceeditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - development files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libincidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared library.

## incidenceeditor 24.12.2

=== debian/changelog ===
incidenceeditor (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
-               libcalendarsupport-dev (>= 4:24.12.0~),
-               libeventviews-dev (>= 4:24.12.0~),
-               libkcalendarutils-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
+               libcalendarsupport-dev (>= 4:24.12.2~),
+               libeventviews-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +21,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
-               libkldap-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libkpimtextedit-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
+               libkldap-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libkpimtextedit-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +48,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:24.12.0~),
-         libcalendarsupport-dev (>= 4:24.12.0~),
-         libeventviews-dev (>= 4:24.12.0~),
-         libkcalendarutils-dev (>= 4:24.12.0~),
+Depends: libakonadimime-dev (>= 4:24.12.2~),
+         libcalendarsupport-dev (>= 4:24.12.2~),
+         libeventviews-dev (>= 4:24.12.2~),
+         libkcalendarutils-dev (>= 4:24.12.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 24.12.3

=== debian/changelog ===
incidenceeditor (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
-               libcalendarsupport-dev (>= 4:24.12.2~),
-               libeventviews-dev (>= 4:24.12.2~),
-               libkcalendarutils-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
+               libcalendarsupport-dev (>= 4:24.12.3~),
+               libeventviews-dev (>= 4:24.12.3~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -21,15 +21,15 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkldap-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               libkpimtextedit-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkldap-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               libkpimtextedit-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/incidenceeditor
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/incidenceeditor.git
@@ -48,12 +48,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:24.12.2~),
-         libcalendarsupport-dev (>= 4:24.12.2~),
-         libeventviews-dev (>= 4:24.12.2~),
-         libkcalendarutils-dev (>= 4:24.12.2~),
+Depends: libakonadimime-dev (>= 4:24.12.3~),
+         libcalendarsupport-dev (>= 4:24.12.3~),
+         libeventviews-dev (>= 4:24.12.3~),
+         libkcalendarutils-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.04.0

=== debian/changelog ===
incidenceeditor (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:42:20 +0100

incidenceeditor (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:28 -0500

=== debian/control ===
Source: incidenceeditor
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.04.0~),
               libakonadicalendar-dev (>= 4:25.04.0~),
               libakonadimime-dev (>= 4:25.04.0~),
               libcalendarsupport-dev (>= 4:25.04.0~),
               libeventviews-dev (>= 4:25.04.0~),
               libkcalendarutils-dev (>= 4:25.04.0~),
               libkdepim-dev (>= 4:25.04.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkgantt-dev (>= 3.0.0~),
               libkidentitymanagement-dev (>= 25.04.0~),
               libkldap-dev (>= 25.04.0~),
               libkmime-dev (>= 25.04.0~),
               libkpimtextedit-dev (>= 25.04.0~),
               libpimcommon-dev (>= 4:25.04.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/incidenceeditor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
Rules-Requires-Root: no

Package: libincidenceeditor-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM incidence editor - data files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared data shipped with the library.

Package: libincidenceeditor-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadimime-dev (>= 4:25.04.0~),
         libcalendarsupport-dev (>= 4:25.04.0~),
         libeventviews-dev (>= 4:25.04.0~),
         libkcalendarutils-dev (>= 4:25.04.0~),
         libkf6calendarcore-dev (>= 6.6.0~),
         libkmime-dev (>= 25.04.0~),
         libkpim6incidenceeditor6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - development files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.

Package: libkpim6incidenceeditor6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libincidenceeditor-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared library.

## incidenceeditor 25.04.1

=== debian/changelog ===
incidenceeditor (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadicalendar-dev (>= 4:25.04.0~),
-               libakonadimime-dev (>= 4:25.04.0~),
-               libcalendarsupport-dev (>= 4:25.04.0~),
-               libeventviews-dev (>= 4:25.04.0~),
-               libkcalendarutils-dev (>= 4:25.04.0~),
-               libkdepim-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.1~),
+               libakonadicalendar-dev (>= 4:25.04.1~),
+               libakonadimime-dev (>= 4:25.04.1~),
+               libcalendarsupport-dev (>= 4:25.04.1~),
+               libeventviews-dev (>= 4:25.04.1~),
+               libkcalendarutils-dev (>= 4:25.04.1~),
+               libkdepim-dev (>= 4:25.04.1~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.04.0~),
-               libkldap-dev (>= 25.04.0~),
-               libkmime-dev (>= 25.04.0~),
-               libkpimtextedit-dev (>= 25.04.0~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.1~),
+               libkldap-dev (>= 25.04.1~),
+               libkmime-dev (>= 25.04.1~),
+               libkpimtextedit-dev (>= 25.04.1~),
+               libpimcommon-dev (>= 4:25.04.1~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.04.0~),
-         libcalendarsupport-dev (>= 4:25.04.0~),
-         libeventviews-dev (>= 4:25.04.0~),
-         libkcalendarutils-dev (>= 4:25.04.0~),
+Depends: libakonadimime-dev (>= 4:25.04.1~),
+         libcalendarsupport-dev (>= 4:25.04.1~),
+         libeventviews-dev (>= 4:25.04.1~),
+         libkcalendarutils-dev (>= 4:25.04.1~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.04.0~),
+         libkmime-dev (>= 25.04.1~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.04.3

=== debian/changelog ===
incidenceeditor (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:36:39 +0100

incidenceeditor (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:38:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.1~),
-               libakonadicalendar-dev (>= 4:25.04.1~),
-               libakonadimime-dev (>= 4:25.04.1~),
-               libcalendarsupport-dev (>= 4:25.04.1~),
-               libeventviews-dev (>= 4:25.04.1~),
-               libkcalendarutils-dev (>= 4:25.04.1~),
-               libkdepim-dev (>= 4:25.04.1~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicalendar-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.04.3~),
+               libcalendarsupport-dev (>= 4:25.04.3~),
+               libeventviews-dev (>= 4:25.04.3~),
+               libkcalendarutils-dev (>= 4:25.04.3~),
+               libkdepim-dev (>= 4:25.04.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.04.1~),
-               libkldap-dev (>= 25.04.1~),
-               libkmime-dev (>= 25.04.1~),
-               libkpimtextedit-dev (>= 25.04.1~),
-               libpimcommon-dev (>= 4:25.04.1~),
+               libkidentitymanagement-dev (>= 25.04.3~),
+               libkldap-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
+               libkpimtextedit-dev (>= 25.04.3~),
+               libpimcommon-dev (>= 4:25.04.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.04.1~),
-         libcalendarsupport-dev (>= 4:25.04.1~),
-         libeventviews-dev (>= 4:25.04.1~),
-         libkcalendarutils-dev (>= 4:25.04.1~),
+Depends: libakonadimime-dev (>= 4:25.04.3~),
+         libcalendarsupport-dev (>= 4:25.04.3~),
+         libeventviews-dev (>= 4:25.04.3~),
+         libkcalendarutils-dev (>= 4:25.04.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.04.1~),
+         libkmime-dev (>= 25.04.3~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.07.80

=== debian/changelog ===
incidenceeditor (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:39:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.04.3~),
-               libakonadicalendar-dev (>= 4:25.04.3~),
-               libakonadimime-dev (>= 4:25.04.3~),
-               libcalendarsupport-dev (>= 4:25.04.3~),
-               libeventviews-dev (>= 4:25.04.3~),
-               libkcalendarutils-dev (>= 4:25.04.3~),
-               libkdepim-dev (>= 4:25.04.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadicalendar-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
+               libcalendarsupport-dev (>= 4:25.07.80~),
+               libeventviews-dev (>= 4:25.07.80~),
+               libkcalendarutils-dev (>= 4:25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.04.3~),
-               libkldap-dev (>= 25.04.3~),
-               libkmime-dev (>= 25.04.3~),
-               libkpimtextedit-dev (>= 25.04.3~),
-               libpimcommon-dev (>= 4:25.04.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkldap-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
+               libkpimtextedit-dev (>= 25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.04.3~),
-         libcalendarsupport-dev (>= 4:25.04.3~),
-         libeventviews-dev (>= 4:25.04.3~),
-         libkcalendarutils-dev (>= 4:25.04.3~),
+Depends: libakonadimime-dev (>= 4:25.07.80~),
+         libcalendarsupport-dev (>= 4:25.07.80~),
+         libeventviews-dev (>= 4:25.07.80~),
+         libkcalendarutils-dev (>= 4:25.07.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.04.3~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.07.90

=== debian/changelog ===
incidenceeditor (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:28:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
-               libakonadicalendar-dev (>= 4:25.07.80~),
-               libakonadimime-dev (>= 4:25.07.80~),
-               libcalendarsupport-dev (>= 4:25.07.80~),
-               libeventviews-dev (>= 4:25.07.80~),
-               libkcalendarutils-dev (>= 4:25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
+               libakonadicalendar-dev (>= 4:25.07.90~),
+               libakonadimime-dev (>= 4:25.07.90~),
+               libcalendarsupport-dev (>= 4:25.07.90~),
+               libeventviews-dev (>= 4:25.07.90~),
+               libkcalendarutils-dev (>= 4:25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkldap-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
-               libkpimtextedit-dev (>= 25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkldap-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
+               libkpimtextedit-dev (>= 25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.07.80~),
-         libcalendarsupport-dev (>= 4:25.07.80~),
-         libeventviews-dev (>= 4:25.07.80~),
-         libkcalendarutils-dev (>= 4:25.07.80~),
+Depends: libakonadimime-dev (>= 4:25.07.90~),
+         libcalendarsupport-dev (>= 4:25.07.90~),
+         libeventviews-dev (>= 4:25.07.90~),
+         libkcalendarutils-dev (>= 4:25.07.90~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.07.80~),
+         libkmime-dev (>= 25.07.90~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## incidenceeditor 25.08.0

=== debian/changelog ===
incidenceeditor (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:49:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.90~),
-               libakonadicalendar-dev (>= 4:25.07.90~),
-               libakonadimime-dev (>= 4:25.07.90~),
-               libcalendarsupport-dev (>= 4:25.07.90~),
-               libeventviews-dev (>= 4:25.07.90~),
-               libkcalendarutils-dev (>= 4:25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libakonadi-dev (>= 4:25.08.0~),
+               libakonadicalendar-dev (>= 4:25.08.0~),
+               libakonadimime-dev (>= 4:25.08.0~),
+               libcalendarsupport-dev (>= 4:25.08.0~),
+               libeventviews-dev (>= 4:25.08.0~),
+               libkcalendarutils-dev (>= 4:25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
@@ -22,11 +22,11 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6textwidgets-dev (>= 6.6.0~),
                libkgantt-dev (>= 3.0.0~),
-               libkidentitymanagement-dev (>= 25.07.90~),
-               libkldap-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
-               libkpimtextedit-dev (>= 25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libkidentitymanagement-dev (>= 25.08.0~),
+               libkldap-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
+               libkpimtextedit-dev (>= 25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -49,12 +49,12 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadimime-dev (>= 4:25.07.90~),
-         libcalendarsupport-dev (>= 4:25.07.90~),
-         libeventviews-dev (>= 4:25.07.90~),
-         libkcalendarutils-dev (>= 4:25.07.90~),
+Depends: libakonadimime-dev (>= 4:25.08.0~),
+         libcalendarsupport-dev (>= 4:25.08.0~),
+         libeventviews-dev (>= 4:25.08.0~),
+         libkcalendarutils-dev (>= 4:25.08.0~),
          libkf6calendarcore-dev (>= 6.6.0~),
-         libkmime-dev (>= 25.07.90~),
+         libkmime-dev (>= 25.08.0~),
          libkpim6incidenceeditor6 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
